# SquareConnect.Card

### Description

Represents the payment details of a card to be used for payments. These details are determined by the `card_nonce` generated by `SqPaymentForm`.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Unique ID for this card. Generated by Square. | [optional] 
**card_brand** | **String** | The card&#39;s brand (such as &#x60;VISA&#x60;). See [CardBrand](#type-cardbrand) for possible values | [optional] 
**last_4** | **String** | The last 4 digits of the card number. | [optional] 
**exp_month** | **Number** | The expiration month of the associated card as an integer between 1 and 12. | [optional] 
**exp_year** | **Number** | The four-digit year of the card&#39;s expiration date. | [optional] 
**cardholder_name** | **String** | The name of the cardholder. | [optional] 
**billing_address** | [**Address**](Address.md) | The billing address for this card. | [optional] 
**fingerprint** | **String** | __Not currently set.__ Intended as a Square-assigned identifier, based on the card number, to identify the card across multiple locations within a single application. | [optional] 


<a name="CardBrandEnum"></a>
## Enum: CardBrandEnum


* `OTHER_BRAND` (value: `"OTHER_BRAND"`)

* `VISA` (value: `"VISA"`)

* `MASTERCARD` (value: `"MASTERCARD"`)

* `AMERICAN_EXPRESS` (value: `"AMERICAN_EXPRESS"`)

* `DISCOVER` (value: `"DISCOVER"`)

* `DISCOVER_DINERS` (value: `"DISCOVER_DINERS"`)

* `JCB` (value: `"JCB"`)

* `CHINA_UNIONPAY` (value: `"CHINA_UNIONPAY"`)

* `SQUARE_GIFT_CARD` (value: `"SQUARE_GIFT_CARD"`)




