/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Address = require('./Address');
var BusinessHours = require('./BusinessHours');




/**
 * The Location model module.
 * @module model/Location
 */

/**
 * Constructs a new <code>Location</code>.
 * Represents one of a business&#39;s locations.
 * @alias module:model/Location
 * @class
 */
var exports = function() {
  var _this = this;

















};

/**
 * Constructs a <code>Location</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/Location} obj Optional instance to populate.
 * @return {module:model/Location} The populated <code>Location</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
      obj['id'] = ApiClient.convertToType(data['id'], 'String');
    }
      if (data.hasOwnProperty('name')) {
      obj['name'] = ApiClient.convertToType(data['name'], 'String');
    }
      if (data.hasOwnProperty('address')) {
      obj['address'] = Address.constructFromObject(data['address']);
    }
      if (data.hasOwnProperty('timezone')) {
      obj['timezone'] = ApiClient.convertToType(data['timezone'], 'String');
    }
      if (data.hasOwnProperty('capabilities')) {
      obj['capabilities'] = ApiClient.convertToType(data['capabilities'], ['String']);
    }
      if (data.hasOwnProperty('status')) {
      obj['status'] = ApiClient.convertToType(data['status'], 'String');
    }
      if (data.hasOwnProperty('created_at')) {
      obj['created_at'] = ApiClient.convertToType(data['created_at'], 'String');
    }
      if (data.hasOwnProperty('merchant_id')) {
      obj['merchant_id'] = ApiClient.convertToType(data['merchant_id'], 'String');
    }
      if (data.hasOwnProperty('country')) {
      obj['country'] = ApiClient.convertToType(data['country'], 'String');
    }
      if (data.hasOwnProperty('language_code')) {
      obj['language_code'] = ApiClient.convertToType(data['language_code'], 'String');
    }
      if (data.hasOwnProperty('currency')) {
      obj['currency'] = ApiClient.convertToType(data['currency'], 'String');
    }
      if (data.hasOwnProperty('phone_number')) {
      obj['phone_number'] = ApiClient.convertToType(data['phone_number'], 'String');
    }
      if (data.hasOwnProperty('business_name')) {
      obj['business_name'] = ApiClient.convertToType(data['business_name'], 'String');
    }
      if (data.hasOwnProperty('type')) {
      obj['type'] = ApiClient.convertToType(data['type'], 'String');
    }
      if (data.hasOwnProperty('website_url')) {
      obj['website_url'] = ApiClient.convertToType(data['website_url'], 'String');
    }
      if (data.hasOwnProperty('business_hours')) {
      obj['business_hours'] = BusinessHours.constructFromObject(data['business_hours']);
    }
    }
  return obj;
}

/**
 * The location's unique ID.
 * @member {String} id
 */
exports.prototype['id'] = undefined;
/**
 * The location's name. Location names are set by the account owner and displayed in the dashboard as the location's nickname
 * @member {String} name
 */
exports.prototype['name'] = undefined;
/**
 * The location's physical address.
 * @member {module:model/Address} address
 */
exports.prototype['address'] = undefined;
/**
 * The [IANA Timezone Database](https://www.iana.org/time-zones) identifier for the location's timezone.
 * @member {String} timezone
 */
exports.prototype['timezone'] = undefined;
/**
 * Indicates which Square features are enabled for the location. See [LocationCapability](#type-locationcapability) for possible values
 * @member {Array.<module:model/Location.CapabilitiesEnum>} capabilities
 */
exports.prototype['capabilities'] = undefined;
/**
 * The location's status See [LocationStatus](#type-locationstatus) for possible values
 * @member {module:model/Location.StatusEnum} status
 */
exports.prototype['status'] = undefined;
/**
 * The time when the location was created, in RFC 3339 format.
 * @member {String} created_at
 */
exports.prototype['created_at'] = undefined;
/**
 * The identifier of the merchant that owns the location.
 * @member {String} merchant_id
 */
exports.prototype['merchant_id'] = undefined;
/**
 * The location's country, in ISO 3166-1-alpha-2 format. See [Country](#type-country) for possible values
 * @member {module:model/Location.CountryEnum} country
 */
exports.prototype['country'] = undefined;
/**
 * The language associated with the location in [BCP 47 format](https://tools.ietf.org/html/bcp47#appendix-A).
 * @member {String} language_code
 */
exports.prototype['language_code'] = undefined;
/**
 * The currency used for all transactions at this location, specified in __ISO 4217 format__. For example, the currency for a location processing transactions in the United States is 'USD'. See [Currency](#type-currency) for possible values
 * @member {module:model/Location.CurrencyEnum} currency
 */
exports.prototype['currency'] = undefined;
/**
 * The location's phone_number.
 * @member {String} phone_number
 */
exports.prototype['phone_number'] = undefined;
/**
 * The location's business_name which is shown to its customers. For example, this is the name printed on its customer's receipts.
 * @member {String} business_name
 */
exports.prototype['business_name'] = undefined;
/**
 * The location's type, as set by the account owner in the Square dashboard. Typically used to indicate whether or not the location object represents a physical space like a building or mall space. See [LocationType](#type-locationtype) for possible values
 * @member {module:model/Location.TypeEnum} type
 */
exports.prototype['type'] = undefined;
/**
 * The location's website, as set by the account owner in the Square dashboard.  Default: none; only exists if explicitly set.
 * @member {String} website_url
 */
exports.prototype['website_url'] = undefined;
/**
 *   The hours of operation for a business location.  Default: none; only exists if explicitly set.
 * @member {module:model/BusinessHours} business_hours
 */
exports.prototype['business_hours'] = undefined;


  /**
   * Allowed values for the <code>capabilities</code> property.
   * @enum {String}
   * @readonly
   */
  exports.CapabilitiesEnum = {
    /**
     * value: "CREDIT_CARD_PROCESSING"
     * @const
     */
    "PROCESSING": "CREDIT_CARD_PROCESSING"  };

  /**
   * Allowed values for the <code>status</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StatusEnum = {
    /**
     * value: "ACTIVE"
     * @const
     */
    "ACTIVE": "ACTIVE",
    /**
     * value: "INACTIVE"
     * @const
     */
    "INACTIVE": "INACTIVE"  };

  /**
   * Allowed values for the <code>country</code> property.
   * @enum {String}
   * @readonly
   */
  exports.CountryEnum = {
    /**
     * value: "ZZ"
     * @const
     */
    "ZZ": "ZZ",
    /**
     * value: "AD"
     * @const
     */
    "AD": "AD",
    /**
     * value: "AE"
     * @const
     */
    "AE": "AE",
    /**
     * value: "AF"
     * @const
     */
    "AF": "AF",
    /**
     * value: "AG"
     * @const
     */
    "AG": "AG",
    /**
     * value: "AI"
     * @const
     */
    "AI": "AI",
    /**
     * value: "AL"
     * @const
     */
    "AL": "AL",
    /**
     * value: "AM"
     * @const
     */
    "AM": "AM",
    /**
     * value: "AO"
     * @const
     */
    "AO": "AO",
    /**
     * value: "AQ"
     * @const
     */
    "AQ": "AQ",
    /**
     * value: "AR"
     * @const
     */
    "AR": "AR",
    /**
     * value: "AS"
     * @const
     */
    "AS": "AS",
    /**
     * value: "AT"
     * @const
     */
    "AT": "AT",
    /**
     * value: "AU"
     * @const
     */
    "AU": "AU",
    /**
     * value: "AW"
     * @const
     */
    "AW": "AW",
    /**
     * value: "AX"
     * @const
     */
    "AX": "AX",
    /**
     * value: "AZ"
     * @const
     */
    "AZ": "AZ",
    /**
     * value: "BA"
     * @const
     */
    "BA": "BA",
    /**
     * value: "BB"
     * @const
     */
    "BB": "BB",
    /**
     * value: "BD"
     * @const
     */
    "BD": "BD",
    /**
     * value: "BE"
     * @const
     */
    "BE": "BE",
    /**
     * value: "BF"
     * @const
     */
    "BF": "BF",
    /**
     * value: "BG"
     * @const
     */
    "BG": "BG",
    /**
     * value: "BH"
     * @const
     */
    "BH": "BH",
    /**
     * value: "BI"
     * @const
     */
    "BI": "BI",
    /**
     * value: "BJ"
     * @const
     */
    "BJ": "BJ",
    /**
     * value: "BL"
     * @const
     */
    "BL": "BL",
    /**
     * value: "BM"
     * @const
     */
    "BM": "BM",
    /**
     * value: "BN"
     * @const
     */
    "BN": "BN",
    /**
     * value: "BO"
     * @const
     */
    "BO": "BO",
    /**
     * value: "BQ"
     * @const
     */
    "BQ": "BQ",
    /**
     * value: "BR"
     * @const
     */
    "BR": "BR",
    /**
     * value: "BS"
     * @const
     */
    "BS": "BS",
    /**
     * value: "BT"
     * @const
     */
    "BT": "BT",
    /**
     * value: "BV"
     * @const
     */
    "BV": "BV",
    /**
     * value: "BW"
     * @const
     */
    "BW": "BW",
    /**
     * value: "BY"
     * @const
     */
    "BY": "BY",
    /**
     * value: "BZ"
     * @const
     */
    "BZ": "BZ",
    /**
     * value: "CA"
     * @const
     */
    "CA": "CA",
    /**
     * value: "CC"
     * @const
     */
    "CC": "CC",
    /**
     * value: "CD"
     * @const
     */
    "CD": "CD",
    /**
     * value: "CF"
     * @const
     */
    "CF": "CF",
    /**
     * value: "CG"
     * @const
     */
    "CG": "CG",
    /**
     * value: "CH"
     * @const
     */
    "CH": "CH",
    /**
     * value: "CI"
     * @const
     */
    "CI": "CI",
    /**
     * value: "CK"
     * @const
     */
    "CK": "CK",
    /**
     * value: "CL"
     * @const
     */
    "CL": "CL",
    /**
     * value: "CM"
     * @const
     */
    "CM": "CM",
    /**
     * value: "CN"
     * @const
     */
    "CN": "CN",
    /**
     * value: "CO"
     * @const
     */
    "CO": "CO",
    /**
     * value: "CR"
     * @const
     */
    "CR": "CR",
    /**
     * value: "CU"
     * @const
     */
    "CU": "CU",
    /**
     * value: "CV"
     * @const
     */
    "CV": "CV",
    /**
     * value: "CW"
     * @const
     */
    "CW": "CW",
    /**
     * value: "CX"
     * @const
     */
    "CX": "CX",
    /**
     * value: "CY"
     * @const
     */
    "CY": "CY",
    /**
     * value: "CZ"
     * @const
     */
    "CZ": "CZ",
    /**
     * value: "DE"
     * @const
     */
    "DE": "DE",
    /**
     * value: "DJ"
     * @const
     */
    "DJ": "DJ",
    /**
     * value: "DK"
     * @const
     */
    "DK": "DK",
    /**
     * value: "DM"
     * @const
     */
    "DM": "DM",
    /**
     * value: "DO"
     * @const
     */
    "DO": "DO",
    /**
     * value: "DZ"
     * @const
     */
    "DZ": "DZ",
    /**
     * value: "EC"
     * @const
     */
    "EC": "EC",
    /**
     * value: "EE"
     * @const
     */
    "EE": "EE",
    /**
     * value: "EG"
     * @const
     */
    "EG": "EG",
    /**
     * value: "EH"
     * @const
     */
    "EH": "EH",
    /**
     * value: "ER"
     * @const
     */
    "ER": "ER",
    /**
     * value: "ES"
     * @const
     */
    "ES": "ES",
    /**
     * value: "ET"
     * @const
     */
    "ET": "ET",
    /**
     * value: "FI"
     * @const
     */
    "FI": "FI",
    /**
     * value: "FJ"
     * @const
     */
    "FJ": "FJ",
    /**
     * value: "FK"
     * @const
     */
    "FK": "FK",
    /**
     * value: "FM"
     * @const
     */
    "FM": "FM",
    /**
     * value: "FO"
     * @const
     */
    "FO": "FO",
    /**
     * value: "FR"
     * @const
     */
    "FR": "FR",
    /**
     * value: "GA"
     * @const
     */
    "GA": "GA",
    /**
     * value: "GB"
     * @const
     */
    "GB": "GB",
    /**
     * value: "GD"
     * @const
     */
    "GD": "GD",
    /**
     * value: "GE"
     * @const
     */
    "GE": "GE",
    /**
     * value: "GF"
     * @const
     */
    "GF": "GF",
    /**
     * value: "GG"
     * @const
     */
    "GG": "GG",
    /**
     * value: "GH"
     * @const
     */
    "GH": "GH",
    /**
     * value: "GI"
     * @const
     */
    "GI": "GI",
    /**
     * value: "GL"
     * @const
     */
    "GL": "GL",
    /**
     * value: "GM"
     * @const
     */
    "GM": "GM",
    /**
     * value: "GN"
     * @const
     */
    "GN": "GN",
    /**
     * value: "GP"
     * @const
     */
    "GP": "GP",
    /**
     * value: "GQ"
     * @const
     */
    "GQ": "GQ",
    /**
     * value: "GR"
     * @const
     */
    "GR": "GR",
    /**
     * value: "GS"
     * @const
     */
    "GS": "GS",
    /**
     * value: "GT"
     * @const
     */
    "GT": "GT",
    /**
     * value: "GU"
     * @const
     */
    "GU": "GU",
    /**
     * value: "GW"
     * @const
     */
    "GW": "GW",
    /**
     * value: "GY"
     * @const
     */
    "GY": "GY",
    /**
     * value: "HK"
     * @const
     */
    "HK": "HK",
    /**
     * value: "HM"
     * @const
     */
    "HM": "HM",
    /**
     * value: "HN"
     * @const
     */
    "HN": "HN",
    /**
     * value: "HR"
     * @const
     */
    "HR": "HR",
    /**
     * value: "HT"
     * @const
     */
    "HT": "HT",
    /**
     * value: "HU"
     * @const
     */
    "HU": "HU",
    /**
     * value: "ID"
     * @const
     */
    "ID": "ID",
    /**
     * value: "IE"
     * @const
     */
    "IE": "IE",
    /**
     * value: "IL"
     * @const
     */
    "IL": "IL",
    /**
     * value: "IM"
     * @const
     */
    "IM": "IM",
    /**
     * value: "IN"
     * @const
     */
    "IN": "IN",
    /**
     * value: "IO"
     * @const
     */
    "IO": "IO",
    /**
     * value: "IQ"
     * @const
     */
    "IQ": "IQ",
    /**
     * value: "IR"
     * @const
     */
    "IR": "IR",
    /**
     * value: "IS"
     * @const
     */
    "IS": "IS",
    /**
     * value: "IT"
     * @const
     */
    "IT": "IT",
    /**
     * value: "JE"
     * @const
     */
    "JE": "JE",
    /**
     * value: "JM"
     * @const
     */
    "JM": "JM",
    /**
     * value: "JO"
     * @const
     */
    "JO": "JO",
    /**
     * value: "JP"
     * @const
     */
    "JP": "JP",
    /**
     * value: "KE"
     * @const
     */
    "KE": "KE",
    /**
     * value: "KG"
     * @const
     */
    "KG": "KG",
    /**
     * value: "KH"
     * @const
     */
    "KH": "KH",
    /**
     * value: "KI"
     * @const
     */
    "KI": "KI",
    /**
     * value: "KM"
     * @const
     */
    "KM": "KM",
    /**
     * value: "KN"
     * @const
     */
    "KN": "KN",
    /**
     * value: "KP"
     * @const
     */
    "KP": "KP",
    /**
     * value: "KR"
     * @const
     */
    "KR": "KR",
    /**
     * value: "KW"
     * @const
     */
    "KW": "KW",
    /**
     * value: "KY"
     * @const
     */
    "KY": "KY",
    /**
     * value: "KZ"
     * @const
     */
    "KZ": "KZ",
    /**
     * value: "LA"
     * @const
     */
    "LA": "LA",
    /**
     * value: "LB"
     * @const
     */
    "LB": "LB",
    /**
     * value: "LC"
     * @const
     */
    "LC": "LC",
    /**
     * value: "LI"
     * @const
     */
    "LI": "LI",
    /**
     * value: "LK"
     * @const
     */
    "LK": "LK",
    /**
     * value: "LR"
     * @const
     */
    "LR": "LR",
    /**
     * value: "LS"
     * @const
     */
    "LS": "LS",
    /**
     * value: "LT"
     * @const
     */
    "LT": "LT",
    /**
     * value: "LU"
     * @const
     */
    "LU": "LU",
    /**
     * value: "LV"
     * @const
     */
    "LV": "LV",
    /**
     * value: "LY"
     * @const
     */
    "LY": "LY",
    /**
     * value: "MA"
     * @const
     */
    "MA": "MA",
    /**
     * value: "MC"
     * @const
     */
    "MC": "MC",
    /**
     * value: "MD"
     * @const
     */
    "MD": "MD",
    /**
     * value: "ME"
     * @const
     */
    "ME": "ME",
    /**
     * value: "MF"
     * @const
     */
    "MF": "MF",
    /**
     * value: "MG"
     * @const
     */
    "MG": "MG",
    /**
     * value: "MH"
     * @const
     */
    "MH": "MH",
    /**
     * value: "MK"
     * @const
     */
    "MK": "MK",
    /**
     * value: "ML"
     * @const
     */
    "ML": "ML",
    /**
     * value: "MM"
     * @const
     */
    "MM": "MM",
    /**
     * value: "MN"
     * @const
     */
    "MN": "MN",
    /**
     * value: "MO"
     * @const
     */
    "MO": "MO",
    /**
     * value: "MP"
     * @const
     */
    "MP": "MP",
    /**
     * value: "MQ"
     * @const
     */
    "MQ": "MQ",
    /**
     * value: "MR"
     * @const
     */
    "MR": "MR",
    /**
     * value: "MS"
     * @const
     */
    "MS": "MS",
    /**
     * value: "MT"
     * @const
     */
    "MT": "MT",
    /**
     * value: "MU"
     * @const
     */
    "MU": "MU",
    /**
     * value: "MV"
     * @const
     */
    "MV": "MV",
    /**
     * value: "MW"
     * @const
     */
    "MW": "MW",
    /**
     * value: "MX"
     * @const
     */
    "MX": "MX",
    /**
     * value: "MY"
     * @const
     */
    "MY": "MY",
    /**
     * value: "MZ"
     * @const
     */
    "MZ": "MZ",
    /**
     * value: "NA"
     * @const
     */
    "NA": "NA",
    /**
     * value: "NC"
     * @const
     */
    "NC": "NC",
    /**
     * value: "NE"
     * @const
     */
    "NE": "NE",
    /**
     * value: "NF"
     * @const
     */
    "NF": "NF",
    /**
     * value: "NG"
     * @const
     */
    "NG": "NG",
    /**
     * value: "NI"
     * @const
     */
    "NI": "NI",
    /**
     * value: "NL"
     * @const
     */
    "NL": "NL",
    /**
     * value: "NO"
     * @const
     */
    "NO": "NO",
    /**
     * value: "NP"
     * @const
     */
    "NP": "NP",
    /**
     * value: "NR"
     * @const
     */
    "NR": "NR",
    /**
     * value: "NU"
     * @const
     */
    "NU": "NU",
    /**
     * value: "NZ"
     * @const
     */
    "NZ": "NZ",
    /**
     * value: "OM"
     * @const
     */
    "OM": "OM",
    /**
     * value: "PA"
     * @const
     */
    "PA": "PA",
    /**
     * value: "PE"
     * @const
     */
    "PE": "PE",
    /**
     * value: "PF"
     * @const
     */
    "PF": "PF",
    /**
     * value: "PG"
     * @const
     */
    "PG": "PG",
    /**
     * value: "PH"
     * @const
     */
    "PH": "PH",
    /**
     * value: "PK"
     * @const
     */
    "PK": "PK",
    /**
     * value: "PL"
     * @const
     */
    "PL": "PL",
    /**
     * value: "PM"
     * @const
     */
    "PM": "PM",
    /**
     * value: "PN"
     * @const
     */
    "PN": "PN",
    /**
     * value: "PR"
     * @const
     */
    "PR": "PR",
    /**
     * value: "PS"
     * @const
     */
    "PS": "PS",
    /**
     * value: "PT"
     * @const
     */
    "PT": "PT",
    /**
     * value: "PW"
     * @const
     */
    "PW": "PW",
    /**
     * value: "PY"
     * @const
     */
    "PY": "PY",
    /**
     * value: "QA"
     * @const
     */
    "QA": "QA",
    /**
     * value: "RE"
     * @const
     */
    "RE": "RE",
    /**
     * value: "RO"
     * @const
     */
    "RO": "RO",
    /**
     * value: "RS"
     * @const
     */
    "RS": "RS",
    /**
     * value: "RU"
     * @const
     */
    "RU": "RU",
    /**
     * value: "RW"
     * @const
     */
    "RW": "RW",
    /**
     * value: "SA"
     * @const
     */
    "SA": "SA",
    /**
     * value: "SB"
     * @const
     */
    "SB": "SB",
    /**
     * value: "SC"
     * @const
     */
    "SC": "SC",
    /**
     * value: "SD"
     * @const
     */
    "SD": "SD",
    /**
     * value: "SE"
     * @const
     */
    "SE": "SE",
    /**
     * value: "SG"
     * @const
     */
    "SG": "SG",
    /**
     * value: "SH"
     * @const
     */
    "SH": "SH",
    /**
     * value: "SI"
     * @const
     */
    "SI": "SI",
    /**
     * value: "SJ"
     * @const
     */
    "SJ": "SJ",
    /**
     * value: "SK"
     * @const
     */
    "SK": "SK",
    /**
     * value: "SL"
     * @const
     */
    "SL": "SL",
    /**
     * value: "SM"
     * @const
     */
    "SM": "SM",
    /**
     * value: "SN"
     * @const
     */
    "SN": "SN",
    /**
     * value: "SO"
     * @const
     */
    "SO": "SO",
    /**
     * value: "SR"
     * @const
     */
    "SR": "SR",
    /**
     * value: "SS"
     * @const
     */
    "SS": "SS",
    /**
     * value: "ST"
     * @const
     */
    "ST": "ST",
    /**
     * value: "SV"
     * @const
     */
    "SV": "SV",
    /**
     * value: "SX"
     * @const
     */
    "SX": "SX",
    /**
     * value: "SY"
     * @const
     */
    "SY": "SY",
    /**
     * value: "SZ"
     * @const
     */
    "SZ": "SZ",
    /**
     * value: "TC"
     * @const
     */
    "TC": "TC",
    /**
     * value: "TD"
     * @const
     */
    "TD": "TD",
    /**
     * value: "TF"
     * @const
     */
    "TF": "TF",
    /**
     * value: "TG"
     * @const
     */
    "TG": "TG",
    /**
     * value: "TH"
     * @const
     */
    "TH": "TH",
    /**
     * value: "TJ"
     * @const
     */
    "TJ": "TJ",
    /**
     * value: "TK"
     * @const
     */
    "TK": "TK",
    /**
     * value: "TL"
     * @const
     */
    "TL": "TL",
    /**
     * value: "TM"
     * @const
     */
    "TM": "TM",
    /**
     * value: "TN"
     * @const
     */
    "TN": "TN",
    /**
     * value: "TO"
     * @const
     */
    "TO": "TO",
    /**
     * value: "TR"
     * @const
     */
    "TR": "TR",
    /**
     * value: "TT"
     * @const
     */
    "TT": "TT",
    /**
     * value: "TV"
     * @const
     */
    "TV": "TV",
    /**
     * value: "TW"
     * @const
     */
    "TW": "TW",
    /**
     * value: "TZ"
     * @const
     */
    "TZ": "TZ",
    /**
     * value: "UA"
     * @const
     */
    "UA": "UA",
    /**
     * value: "UG"
     * @const
     */
    "UG": "UG",
    /**
     * value: "UM"
     * @const
     */
    "UM": "UM",
    /**
     * value: "US"
     * @const
     */
    "US": "US",
    /**
     * value: "UY"
     * @const
     */
    "UY": "UY",
    /**
     * value: "UZ"
     * @const
     */
    "UZ": "UZ",
    /**
     * value: "VA"
     * @const
     */
    "VA": "VA",
    /**
     * value: "VC"
     * @const
     */
    "VC": "VC",
    /**
     * value: "VE"
     * @const
     */
    "VE": "VE",
    /**
     * value: "VG"
     * @const
     */
    "VG": "VG",
    /**
     * value: "VI"
     * @const
     */
    "VI": "VI",
    /**
     * value: "VN"
     * @const
     */
    "VN": "VN",
    /**
     * value: "VU"
     * @const
     */
    "VU": "VU",
    /**
     * value: "WF"
     * @const
     */
    "WF": "WF",
    /**
     * value: "WS"
     * @const
     */
    "WS": "WS",
    /**
     * value: "YE"
     * @const
     */
    "YE": "YE",
    /**
     * value: "YT"
     * @const
     */
    "YT": "YT",
    /**
     * value: "ZA"
     * @const
     */
    "ZA": "ZA",
    /**
     * value: "ZM"
     * @const
     */
    "ZM": "ZM",
    /**
     * value: "ZW"
     * @const
     */
    "ZW": "ZW"  };

  /**
   * Allowed values for the <code>currency</code> property.
   * @enum {String}
   * @readonly
   */
  exports.CurrencyEnum = {
    /**
     * value: "UNKNOWN_CURRENCY"
     * @const
     */
    "UNKNOWN_CURRENCY": "UNKNOWN_CURRENCY",
    /**
     * value: "AED"
     * @const
     */
    "AED": "AED",
    /**
     * value: "AFN"
     * @const
     */
    "AFN": "AFN",
    /**
     * value: "ALL"
     * @const
     */
    "ALL": "ALL",
    /**
     * value: "AMD"
     * @const
     */
    "AMD": "AMD",
    /**
     * value: "ANG"
     * @const
     */
    "ANG": "ANG",
    /**
     * value: "AOA"
     * @const
     */
    "AOA": "AOA",
    /**
     * value: "ARS"
     * @const
     */
    "ARS": "ARS",
    /**
     * value: "AUD"
     * @const
     */
    "AUD": "AUD",
    /**
     * value: "AWG"
     * @const
     */
    "AWG": "AWG",
    /**
     * value: "AZN"
     * @const
     */
    "AZN": "AZN",
    /**
     * value: "BAM"
     * @const
     */
    "BAM": "BAM",
    /**
     * value: "BBD"
     * @const
     */
    "BBD": "BBD",
    /**
     * value: "BDT"
     * @const
     */
    "BDT": "BDT",
    /**
     * value: "BGN"
     * @const
     */
    "BGN": "BGN",
    /**
     * value: "BHD"
     * @const
     */
    "BHD": "BHD",
    /**
     * value: "BIF"
     * @const
     */
    "BIF": "BIF",
    /**
     * value: "BMD"
     * @const
     */
    "BMD": "BMD",
    /**
     * value: "BND"
     * @const
     */
    "BND": "BND",
    /**
     * value: "BOB"
     * @const
     */
    "BOB": "BOB",
    /**
     * value: "BOV"
     * @const
     */
    "BOV": "BOV",
    /**
     * value: "BRL"
     * @const
     */
    "BRL": "BRL",
    /**
     * value: "BSD"
     * @const
     */
    "BSD": "BSD",
    /**
     * value: "BTN"
     * @const
     */
    "BTN": "BTN",
    /**
     * value: "BWP"
     * @const
     */
    "BWP": "BWP",
    /**
     * value: "BYR"
     * @const
     */
    "BYR": "BYR",
    /**
     * value: "BZD"
     * @const
     */
    "BZD": "BZD",
    /**
     * value: "CAD"
     * @const
     */
    "CAD": "CAD",
    /**
     * value: "CDF"
     * @const
     */
    "CDF": "CDF",
    /**
     * value: "CHE"
     * @const
     */
    "CHE": "CHE",
    /**
     * value: "CHF"
     * @const
     */
    "CHF": "CHF",
    /**
     * value: "CHW"
     * @const
     */
    "CHW": "CHW",
    /**
     * value: "CLF"
     * @const
     */
    "CLF": "CLF",
    /**
     * value: "CLP"
     * @const
     */
    "CLP": "CLP",
    /**
     * value: "CNY"
     * @const
     */
    "CNY": "CNY",
    /**
     * value: "COP"
     * @const
     */
    "COP": "COP",
    /**
     * value: "COU"
     * @const
     */
    "COU": "COU",
    /**
     * value: "CRC"
     * @const
     */
    "CRC": "CRC",
    /**
     * value: "CUC"
     * @const
     */
    "CUC": "CUC",
    /**
     * value: "CUP"
     * @const
     */
    "CUP": "CUP",
    /**
     * value: "CVE"
     * @const
     */
    "CVE": "CVE",
    /**
     * value: "CZK"
     * @const
     */
    "CZK": "CZK",
    /**
     * value: "DJF"
     * @const
     */
    "DJF": "DJF",
    /**
     * value: "DKK"
     * @const
     */
    "DKK": "DKK",
    /**
     * value: "DOP"
     * @const
     */
    "DOP": "DOP",
    /**
     * value: "DZD"
     * @const
     */
    "DZD": "DZD",
    /**
     * value: "EGP"
     * @const
     */
    "EGP": "EGP",
    /**
     * value: "ERN"
     * @const
     */
    "ERN": "ERN",
    /**
     * value: "ETB"
     * @const
     */
    "ETB": "ETB",
    /**
     * value: "EUR"
     * @const
     */
    "EUR": "EUR",
    /**
     * value: "FJD"
     * @const
     */
    "FJD": "FJD",
    /**
     * value: "FKP"
     * @const
     */
    "FKP": "FKP",
    /**
     * value: "GBP"
     * @const
     */
    "GBP": "GBP",
    /**
     * value: "GEL"
     * @const
     */
    "GEL": "GEL",
    /**
     * value: "GHS"
     * @const
     */
    "GHS": "GHS",
    /**
     * value: "GIP"
     * @const
     */
    "GIP": "GIP",
    /**
     * value: "GMD"
     * @const
     */
    "GMD": "GMD",
    /**
     * value: "GNF"
     * @const
     */
    "GNF": "GNF",
    /**
     * value: "GTQ"
     * @const
     */
    "GTQ": "GTQ",
    /**
     * value: "GYD"
     * @const
     */
    "GYD": "GYD",
    /**
     * value: "HKD"
     * @const
     */
    "HKD": "HKD",
    /**
     * value: "HNL"
     * @const
     */
    "HNL": "HNL",
    /**
     * value: "HRK"
     * @const
     */
    "HRK": "HRK",
    /**
     * value: "HTG"
     * @const
     */
    "HTG": "HTG",
    /**
     * value: "HUF"
     * @const
     */
    "HUF": "HUF",
    /**
     * value: "IDR"
     * @const
     */
    "IDR": "IDR",
    /**
     * value: "ILS"
     * @const
     */
    "ILS": "ILS",
    /**
     * value: "INR"
     * @const
     */
    "INR": "INR",
    /**
     * value: "IQD"
     * @const
     */
    "IQD": "IQD",
    /**
     * value: "IRR"
     * @const
     */
    "IRR": "IRR",
    /**
     * value: "ISK"
     * @const
     */
    "ISK": "ISK",
    /**
     * value: "JMD"
     * @const
     */
    "JMD": "JMD",
    /**
     * value: "JOD"
     * @const
     */
    "JOD": "JOD",
    /**
     * value: "JPY"
     * @const
     */
    "JPY": "JPY",
    /**
     * value: "KES"
     * @const
     */
    "KES": "KES",
    /**
     * value: "KGS"
     * @const
     */
    "KGS": "KGS",
    /**
     * value: "KHR"
     * @const
     */
    "KHR": "KHR",
    /**
     * value: "KMF"
     * @const
     */
    "KMF": "KMF",
    /**
     * value: "KPW"
     * @const
     */
    "KPW": "KPW",
    /**
     * value: "KRW"
     * @const
     */
    "KRW": "KRW",
    /**
     * value: "KWD"
     * @const
     */
    "KWD": "KWD",
    /**
     * value: "KYD"
     * @const
     */
    "KYD": "KYD",
    /**
     * value: "KZT"
     * @const
     */
    "KZT": "KZT",
    /**
     * value: "LAK"
     * @const
     */
    "LAK": "LAK",
    /**
     * value: "LBP"
     * @const
     */
    "LBP": "LBP",
    /**
     * value: "LKR"
     * @const
     */
    "LKR": "LKR",
    /**
     * value: "LRD"
     * @const
     */
    "LRD": "LRD",
    /**
     * value: "LSL"
     * @const
     */
    "LSL": "LSL",
    /**
     * value: "LTL"
     * @const
     */
    "LTL": "LTL",
    /**
     * value: "LVL"
     * @const
     */
    "LVL": "LVL",
    /**
     * value: "LYD"
     * @const
     */
    "LYD": "LYD",
    /**
     * value: "MAD"
     * @const
     */
    "MAD": "MAD",
    /**
     * value: "MDL"
     * @const
     */
    "MDL": "MDL",
    /**
     * value: "MGA"
     * @const
     */
    "MGA": "MGA",
    /**
     * value: "MKD"
     * @const
     */
    "MKD": "MKD",
    /**
     * value: "MMK"
     * @const
     */
    "MMK": "MMK",
    /**
     * value: "MNT"
     * @const
     */
    "MNT": "MNT",
    /**
     * value: "MOP"
     * @const
     */
    "MOP": "MOP",
    /**
     * value: "MRO"
     * @const
     */
    "MRO": "MRO",
    /**
     * value: "MUR"
     * @const
     */
    "MUR": "MUR",
    /**
     * value: "MVR"
     * @const
     */
    "MVR": "MVR",
    /**
     * value: "MWK"
     * @const
     */
    "MWK": "MWK",
    /**
     * value: "MXN"
     * @const
     */
    "MXN": "MXN",
    /**
     * value: "MXV"
     * @const
     */
    "MXV": "MXV",
    /**
     * value: "MYR"
     * @const
     */
    "MYR": "MYR",
    /**
     * value: "MZN"
     * @const
     */
    "MZN": "MZN",
    /**
     * value: "NAD"
     * @const
     */
    "NAD": "NAD",
    /**
     * value: "NGN"
     * @const
     */
    "NGN": "NGN",
    /**
     * value: "NIO"
     * @const
     */
    "NIO": "NIO",
    /**
     * value: "NOK"
     * @const
     */
    "NOK": "NOK",
    /**
     * value: "NPR"
     * @const
     */
    "NPR": "NPR",
    /**
     * value: "NZD"
     * @const
     */
    "NZD": "NZD",
    /**
     * value: "OMR"
     * @const
     */
    "OMR": "OMR",
    /**
     * value: "PAB"
     * @const
     */
    "PAB": "PAB",
    /**
     * value: "PEN"
     * @const
     */
    "PEN": "PEN",
    /**
     * value: "PGK"
     * @const
     */
    "PGK": "PGK",
    /**
     * value: "PHP"
     * @const
     */
    "PHP": "PHP",
    /**
     * value: "PKR"
     * @const
     */
    "PKR": "PKR",
    /**
     * value: "PLN"
     * @const
     */
    "PLN": "PLN",
    /**
     * value: "PYG"
     * @const
     */
    "PYG": "PYG",
    /**
     * value: "QAR"
     * @const
     */
    "QAR": "QAR",
    /**
     * value: "RON"
     * @const
     */
    "RON": "RON",
    /**
     * value: "RSD"
     * @const
     */
    "RSD": "RSD",
    /**
     * value: "RUB"
     * @const
     */
    "RUB": "RUB",
    /**
     * value: "RWF"
     * @const
     */
    "RWF": "RWF",
    /**
     * value: "SAR"
     * @const
     */
    "SAR": "SAR",
    /**
     * value: "SBD"
     * @const
     */
    "SBD": "SBD",
    /**
     * value: "SCR"
     * @const
     */
    "SCR": "SCR",
    /**
     * value: "SDG"
     * @const
     */
    "SDG": "SDG",
    /**
     * value: "SEK"
     * @const
     */
    "SEK": "SEK",
    /**
     * value: "SGD"
     * @const
     */
    "SGD": "SGD",
    /**
     * value: "SHP"
     * @const
     */
    "SHP": "SHP",
    /**
     * value: "SLL"
     * @const
     */
    "SLL": "SLL",
    /**
     * value: "SOS"
     * @const
     */
    "SOS": "SOS",
    /**
     * value: "SRD"
     * @const
     */
    "SRD": "SRD",
    /**
     * value: "SSP"
     * @const
     */
    "SSP": "SSP",
    /**
     * value: "STD"
     * @const
     */
    "STD": "STD",
    /**
     * value: "SVC"
     * @const
     */
    "SVC": "SVC",
    /**
     * value: "SYP"
     * @const
     */
    "SYP": "SYP",
    /**
     * value: "SZL"
     * @const
     */
    "SZL": "SZL",
    /**
     * value: "THB"
     * @const
     */
    "THB": "THB",
    /**
     * value: "TJS"
     * @const
     */
    "TJS": "TJS",
    /**
     * value: "TMT"
     * @const
     */
    "TMT": "TMT",
    /**
     * value: "TND"
     * @const
     */
    "TND": "TND",
    /**
     * value: "TOP"
     * @const
     */
    "TOP": "TOP",
    /**
     * value: "TRY"
     * @const
     */
    "TRY": "TRY",
    /**
     * value: "TTD"
     * @const
     */
    "TTD": "TTD",
    /**
     * value: "TWD"
     * @const
     */
    "TWD": "TWD",
    /**
     * value: "TZS"
     * @const
     */
    "TZS": "TZS",
    /**
     * value: "UAH"
     * @const
     */
    "UAH": "UAH",
    /**
     * value: "UGX"
     * @const
     */
    "UGX": "UGX",
    /**
     * value: "USD"
     * @const
     */
    "USD": "USD",
    /**
     * value: "USN"
     * @const
     */
    "USN": "USN",
    /**
     * value: "USS"
     * @const
     */
    "USS": "USS",
    /**
     * value: "UYI"
     * @const
     */
    "UYI": "UYI",
    /**
     * value: "UYU"
     * @const
     */
    "UYU": "UYU",
    /**
     * value: "UZS"
     * @const
     */
    "UZS": "UZS",
    /**
     * value: "VEF"
     * @const
     */
    "VEF": "VEF",
    /**
     * value: "VND"
     * @const
     */
    "VND": "VND",
    /**
     * value: "VUV"
     * @const
     */
    "VUV": "VUV",
    /**
     * value: "WST"
     * @const
     */
    "WST": "WST",
    /**
     * value: "XAF"
     * @const
     */
    "XAF": "XAF",
    /**
     * value: "XAG"
     * @const
     */
    "XAG": "XAG",
    /**
     * value: "XAU"
     * @const
     */
    "XAU": "XAU",
    /**
     * value: "XBA"
     * @const
     */
    "XBA": "XBA",
    /**
     * value: "XBB"
     * @const
     */
    "XBB": "XBB",
    /**
     * value: "XBC"
     * @const
     */
    "XBC": "XBC",
    /**
     * value: "XBD"
     * @const
     */
    "XBD": "XBD",
    /**
     * value: "XCD"
     * @const
     */
    "XCD": "XCD",
    /**
     * value: "XDR"
     * @const
     */
    "XDR": "XDR",
    /**
     * value: "XOF"
     * @const
     */
    "XOF": "XOF",
    /**
     * value: "XPD"
     * @const
     */
    "XPD": "XPD",
    /**
     * value: "XPF"
     * @const
     */
    "XPF": "XPF",
    /**
     * value: "XPT"
     * @const
     */
    "XPT": "XPT",
    /**
     * value: "XTS"
     * @const
     */
    "XTS": "XTS",
    /**
     * value: "XXX"
     * @const
     */
    "XXX": "XXX",
    /**
     * value: "YER"
     * @const
     */
    "YER": "YER",
    /**
     * value: "ZAR"
     * @const
     */
    "ZAR": "ZAR",
    /**
     * value: "ZMK"
     * @const
     */
    "ZMK": "ZMK",
    /**
     * value: "ZMW"
     * @const
     */
    "ZMW": "ZMW",
    /**
     * value: "BTC"
     * @const
     */
    "BTC": "BTC"  };

  /**
   * Allowed values for the <code>type</code> property.
   * @enum {String}
   * @readonly
   */
  exports.TypeEnum = {
    /**
     * value: "PHYSICAL"
     * @const
     */
    "PHYSICAL": "PHYSICAL",
    /**
     * value: "MOBILE"
     * @const
     */
    "MOBILE": "MOBILE"  };


module.exports = exports;



