/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Customer = require('./Customer');
var Error = require('./Error');




/**
 * The SearchCustomersResponse model module.
 * @module model/SearchCustomersResponse
 */

/**
 * Constructs a new <code>SearchCustomersResponse</code>.
 * Defines the fields that are included in the response body of a request to the SearchCustomers endpoint.  One of &#x60;errors&#x60; or &#x60;customers&#x60; is present in a given response (never both).
 * @alias module:model/SearchCustomersResponse
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>SearchCustomersResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/SearchCustomersResponse} obj Optional instance to populate.
 * @return {module:model/SearchCustomersResponse} The populated <code>SearchCustomersResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
      if (data.hasOwnProperty('customers')) {
      obj['customers'] = ApiClient.convertToType(data['customers'], [Customer]);
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
    }
  return obj;
}

/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;
/**
 * An array of `Customer` objects that match a query.
 * @member {Array.<module:model/Customer>} customers
 */
exports.prototype['customers'] = undefined;
/**
 * A pagination cursor that can be used during subsequent calls to SearchCustomers to retrieve the next set of results associated with the original query. Pagination cursors are only present when a request succeeds and additional results are available.  See [Pagination](/basics/api101/pagination) for more information.
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;



module.exports = exports;



