/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var V1Money = require('./V1Money');




/**
 * The V1Variation model module.
 * @module model/V1Variation
 */

/**
 * Constructs a new <code>V1Variation</code>.
 * V1Variation
 * @alias module:model/V1Variation
 * @class
 */
var exports = function() {
  var _this = this;













};

/**
 * Constructs a <code>V1Variation</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/V1Variation} obj Optional instance to populate.
 * @return {module:model/V1Variation} The populated <code>V1Variation</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
      obj['id'] = ApiClient.convertToType(data['id'], 'String');
    }
      if (data.hasOwnProperty('name')) {
      obj['name'] = ApiClient.convertToType(data['name'], 'String');
    }
      if (data.hasOwnProperty('item_id')) {
      obj['item_id'] = ApiClient.convertToType(data['item_id'], 'String');
    }
      if (data.hasOwnProperty('ordinal')) {
      obj['ordinal'] = ApiClient.convertToType(data['ordinal'], 'Number');
    }
      if (data.hasOwnProperty('pricing_type')) {
      obj['pricing_type'] = ApiClient.convertToType(data['pricing_type'], 'String');
    }
      if (data.hasOwnProperty('price_money')) {
      obj['price_money'] = V1Money.constructFromObject(data['price_money']);
    }
      if (data.hasOwnProperty('sku')) {
      obj['sku'] = ApiClient.convertToType(data['sku'], 'String');
    }
      if (data.hasOwnProperty('track_inventory')) {
      obj['track_inventory'] = ApiClient.convertToType(data['track_inventory'], 'Boolean');
    }
      if (data.hasOwnProperty('inventory_alert_type')) {
      obj['inventory_alert_type'] = ApiClient.convertToType(data['inventory_alert_type'], 'String');
    }
      if (data.hasOwnProperty('inventory_alert_threshold')) {
      obj['inventory_alert_threshold'] = ApiClient.convertToType(data['inventory_alert_threshold'], 'Number');
    }
      if (data.hasOwnProperty('user_data')) {
      obj['user_data'] = ApiClient.convertToType(data['user_data'], 'String');
    }
      if (data.hasOwnProperty('v2_id')) {
      obj['v2_id'] = ApiClient.convertToType(data['v2_id'], 'String');
    }
    }
  return obj;
}

/**
 * The item variation's unique ID.
 * @member {String} id
 */
exports.prototype['id'] = undefined;
/**
 * The item variation's name.
 * @member {String} name
 */
exports.prototype['name'] = undefined;
/**
 * The ID of the variation's associated item.
 * @member {String} item_id
 */
exports.prototype['item_id'] = undefined;
/**
 * Indicates the variation's list position when displayed in Square Register and the merchant dashboard. If more than one variation for the same item has the same ordinal value, those variations are displayed in alphabetical order
 * @member {Number} ordinal
 */
exports.prototype['ordinal'] = undefined;
/**
 * Indicates whether the item variation's price is fixed or determined at the time of sale. See [V1VariationPricingType](#type-v1variationpricingtype) for possible values
 * @member {module:model/V1Variation.PricingTypeEnum} pricing_type
 */
exports.prototype['pricing_type'] = undefined;
/**
 * The item variation's price, if any.
 * @member {module:model/V1Money} price_money
 */
exports.prototype['price_money'] = undefined;
/**
 * The item variation's SKU, if any.
 * @member {String} sku
 */
exports.prototype['sku'] = undefined;
/**
 * If true, inventory tracking is active for the variation.
 * @member {Boolean} track_inventory
 */
exports.prototype['track_inventory'] = undefined;
/**
 * Indicates whether the item variation displays an alert when its inventory quantity is less than or equal to its inventory_alert_threshold. See [V1VariationInventoryAlertType](#type-v1variationinventoryalerttype) for possible values
 * @member {module:model/V1Variation.InventoryAlertTypeEnum} inventory_alert_type
 */
exports.prototype['inventory_alert_type'] = undefined;
/**
 * If the inventory quantity for the variation is less than or equal to this value and inventory_alert_type is LOW_QUANTITY, the variation displays an alert in the merchant dashboard.
 * @member {Number} inventory_alert_threshold
 */
exports.prototype['inventory_alert_threshold'] = undefined;
/**
 * Arbitrary metadata associated with the variation. Cannot exceed 255 characters.
 * @member {String} user_data
 */
exports.prototype['user_data'] = undefined;
/**
 * The ID of the CatalogObject in the Connect v2 API. Objects that are shared across multiple locations share the same v2 ID.
 * @member {String} v2_id
 */
exports.prototype['v2_id'] = undefined;


  /**
   * Allowed values for the <code>pricing_type</code> property.
   * @enum {String}
   * @readonly
   */
  exports.PricingTypeEnum = {
    /**
     * value: "FIXED_PRICING"
     * @const
     */
    "FIXED_PRICING": "FIXED_PRICING",
    /**
     * value: "VARIABLE_PRICING"
     * @const
     */
    "VARIABLE_PRICING": "VARIABLE_PRICING"  };

  /**
   * Allowed values for the <code>inventory_alert_type</code> property.
   * @enum {String}
   * @readonly
   */
  exports.InventoryAlertTypeEnum = {
    /**
     * value: "LOW_QUANTITY"
     * @const
     */
    "LOW_QUANTITY": "LOW_QUANTITY",
    /**
     * value: "NONE"
     * @const
     */
    "NONE": "NONE",
    /**
     * value: "INVESTMENT"
     * @const
     */
    "INVESTMENT": "INVESTMENT",
    /**
     * value: "LOAN"
     * @const
     */
    "LOAN": "LOAN",
    /**
     * value: "SAVINGS"
     * @const
     */
    "SAVINGS": "SAVINGS",
    /**
     * value: "OTHER"
     * @const
     */
    "OTHER": "OTHER"  };


module.exports = exports;



